<?php
declare(strict_types=1);

use FiloBlu\Refilo\Remote\Entity\Provider\ProductUrlProvider;
use Magento\Framework\App\Bootstrap;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$objectManager = $bootstrap->getObjectManager();

$productProvider = $objectManager->get(ProductUrlProvider::class);

$item = 0;
foreach($productProvider as $i)
{
    $item++;
}

echo "Done ($item).\n";
